build:
  image: registry.gitlab.com/moehme-repo/docker-archlinux:latest
  stage: build
  before_script:
    - pacman -Suyy --noconfirm --noprogressbar pacman-contrib
    - chown build:build . -R
  script:
    - sudo -u build -- updpkgsums
    - sudo -u build -- makepkg -s --noconfirm --noprogressbar
  after_script:
    - ls -hAl
  artifacts:
    paths:
      - "*.pkg.tar"
      - "*.pkg.tar.xz"
      - "*.pkg.tar.zst"

trigger-repository-build:
  stage: deploy
  trigger:
    moehme-repo/repository
  allow_failure: true

